Subject: Re: [bug#27791] [PATCH] gnu: Add passmenu

From: Jelle Licht <[email-masked]>
Date: Mon, 16 Oct 2017 16:05:22 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi Jelle,
>
> Is anything holding this back?
>
>   https://bugs.gnu.org/27791

It just fell through the cracks, thanks for reminding me :-).
I still needed to address some of Marius' concerns though...

>
> TIA!  :-)
>
> Ludo’.
>
> Marius Bakke <[email-masked]> skribis:
>
>> Hi Jelle,
>>
>> Jelle Licht <[email-masked]> writes:
>>
>>> Hello guix,
>>>
>>> Attached is a patch to include passmenu, a dmenu interface to the pass
>>> password store.
>>>
>>> I was not quite sure how to structure this patch, as it basically installs
>>> and wraps a shell script from the `password-store' sources. We could
>>> instead include it as a separate output of our `password-store' package,
>>> but I already had it like this in my GUIX_PACKAGE_PATH and I was not even
>>> sure if that approach was in general preferable.
>>
>> I don't think wrapping it with dmenu in PATH is necessary. Users of this
>> script are expected to have dmenu from before, and may want to use
>> another implementation (e.g. rofi), another version, etc.

While I agree with your general thoughts, wasn't guix supposed to
prevent this ad-hoc mishmash of software? If someone wants to use
another implementation (e.g. rofi), they could just create their own
package that inherits from `password-store' and overrides the "dmenu"
input. Case in point, I am not currently a user of dmenu (besides
indirectly through the passmenu script).

If people still see Marius' proposed solution as preferable, I am also
okay with that.

>>
>> Can you try to simply add a phase to the normal password-store package
>> that copies this file to out/bin? We can probably avoid the wrapper too
>> by giving it the full path to `xdotool`, e.g.:
>>
>> (substitute "passmenu"
>>   (("xdotool") (string-append (assoc-ref inputs "xdotool")
>>                               "/bin/xdotool")))

This seems nicer indeed.
>>
>> Adding 'xdotool' adds ~8MiB to the password-store closure size, so I
>> don't think we need a separate output either.
Fair enough.

>> Thanks!

Thank you for the review.